This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 40888 - Extension methods shown on types
Summary: Extension methods shown on types
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: C# Binding (show other bugs)
Version: 6.0.0 (C7)
Hardware: PC Mac OS
: Normal normal
Target Milestone: C7SR1
Assignee: Mike Krüger
URL:
Depends on:
Blocks:
 
Reported: 2016-05-04 23:51 UTC by Mikayla Hutchinson
Modified: 2016-07-26 14:21 UTC (History)
4 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Mikayla Hutchinson 2016-05-04 23:51:00 UTC
To repro:

using System.Linq;
using System.Collections.Generic;

class X
{
    y ()
    {
        List<int>. // shows Linq extension methods
    }
}
Comment 1 xamarin-release-manager 2016-05-06 08:27:25 UTC
Fixed in version 6.1.0.765 (master)

Author: Mike Kr??ger
Commit: 07e8be87b49ab507be31151d551426e9909f3b2a (mono/monodevelop)
Comment 3 Shruti 2016-07-07 06:19:23 UTC
@Mikayla : Can you please fix this issue on C7 trunk lane and let us know so that we can close this issue.
Comment 4 Shruti 2016-07-08 08:24:00 UTC
I have checked this issue with latest Master XS 6.2 (build 10) and C7 XS 6.0.2 (build 52) and observed that now, I am not getting any Linq extension methods on ' List<int>. ' . Screencast: http://screencast.com/t/QGNNQYMR


 We did not get any confirmation that this issue is fixed on C7. And I believe this issue is no more in Master and C7. So closing this issue. Please feel free to reopen this issue If you experience again.
Comment 5 xamarin-release-manager 2016-07-08 14:40:10 UTC
Fixed in version 6.0.2.55 (cycle7)

Author: Greg Munn
Commit: 04547dca2af0a706523da83f08c9d259351793ee (mono/monodevelop)
Comment 6 Kyle White 2016-07-26 14:21:22 UTC
Verified this is fixed on C7SR1 release branch. 

##Build Information
Release ID: 600020071
Git revision: b4df9f1c0a1a94606c04a670c08b9da2b3d865e0
Build date: 2016-07-25 10:55:35-04
Xamarin addins: f5acb37866a0141bc5ddbe95118f18dae4014568
Build lane: monodevelop-lion-cycle7-sr1

https://cloud.githubusercontent.com/assets/2809202/17141228/61339d2e-5319-11e6-9089-27f9a118ed7e.png

Note You need to log in before you can comment on or make changes to this bug.